# $Revision: 1.97 $, $Date: 2002/11/04 13:35:07 $
Summary:	A next-generation printing system for UNIX
Summary(pl):	System drukowania nowej generacji
Summary(pt_BR):	Gerenciador de impresso para UNIX e NT
Summary(ru):	  LPRng
Summary(uk):	  LPRng
Summary(zh_CN):	LPRng--ӡ
Name:		LPRng
Version:	3.8.15
Release:	1
License:	GPL
Group:		Applications/System
Source0:	ftp://ftp.lprng.com/pub/LPRng/LPRng/%{name}-%{version}.tgz
Source1:	%{name}.init
Source2:	%{name}.conf
Source3:	%{name}.printcap
Source4:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-pl-man-pages.tar.bz2
Patch0:		%{name}-ac_fixes.patch
Patch1:		%{name}-nproc-unlimited.patch
Patch2:		%{name}-lpd-perms.patch
URL:		http://www.astart.com/lprng/LPRng.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	libtool
BuildRequires:	ncurses-devel >= 5.0
Prereq:		/sbin/ldconfig
Prereq:		/sbin/chkconfig
Prereq:		rc-scripts >= 0.2.0
Obsoletes:	lpr
Obsoletes:	cups
Obsoletes:	cups-clients
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The LPRng software is an enhanced, extended, and portable
implementation of the Berkeley LPR print spooler functionality. While
providing the same interface and meeting RFC1179 requirements, the
implementation is completely new and provides support for the
following features: lightweight (no databases needed) lpr, lpc, and
lprm programs; dynamic redirection of print queues; automatic job
holding; highly verbose diagnostics; multiple printers serving a
single queue; client programs do not need to run SUID root; greatly
enhanced security checks; and a greatly improved permission and
authorization mechanism.

The source software compiles and runs on a wide variety of UNIX
systems, and is compatible with other print spoolers and network
printers that use the LPR interface and meet RFC1179 requirements.
LPRng provides emulation packages for the SVR4 lp and lpstat programs,
eliminating the need for another print spooler package. These
emulation packages can be modified according to local requirements, in
order to support vintage printing systems.

For users that require secure and/or authenticated printing support,
LPRng supports Kerberos V, MIT Kerberos IV Print Support, and PGP
authentication. LPRng is being adopted by MIT for use as their Campus
Wide printing support system. Additional authentication support is
extremely simple to add. LPRng is Open Source Software, and the
current public distribution is available from the listed FTP and Web
Sites.

%description -l pl
LPRng jest rozszerzon, ulepszon i portowaln implementacj
Berkeley'owskiego LPR print spooler'a. Dostarcza ten sam interfejs
oraz jest zgodny z wymaganiami RFC1179. Jednoczenie wykonanie jest
cakowicie nowe i dostarcza nastpujce rzeczy:
- programy - "lekki" lpr (nie s potrzebne adne bazy danych), lpc,
  oraz lprm;
- dynamiczna redyrekcja do kolejek;
- automatyczne wstrzymywanie zada;
- "gadatliwa" diagnostyka;
- obsug wielu drukarek na jednej kolejce;
- programy klienckie nie musz by SUID root;
- mocno rozszerzona kontrola bezpieczestwa;
- mocno rozszerzone mechanizmy bezpieczestwa i kontroli uprawnie.

Oprogramowanie to kompiluje si i dziaa na wielu systemach UNIX'owych
i jest kompatybilne z innymi print spoolami oraz drukarkami
sieciowymi, ktre uywaj interfejsu LPR oraz speniaj wymagania
RFC1179. LPRng dostarcza pakiety emulacyjne dla programw SVR4 lp oraz
lpstat, eliminujc w ten sposb konieczno posiadania jeszcze jednego
pakietu print spoola. Te pakiety mog by modyfikowane zgodnie z
lokalnymi wymaganiami.

Dla uytkownikw, ktrzy potrzebuj bezpiecznej i autentyfikowanej
obsugi drukowania LPRng wspiera Kerberos V, MIT Kerberos IV Print
Support oraz PGP.

%description -l pt_BR
LPRng  uma verso melhorada, estendida e mais segura do gerenciador
de impresso LPR. Entre as melhorias se destacam: redirecionamento
dinmico de filas de impresso, suspenso automtica de trabalhos de
impresso, diagnstico detalhado, vrias impressoras por fila,
programas cliente no precisam ser SUID root e um mecanismo bastante
melhorado de permisses e autorizaes.

%description -l ru
LPRng -  ,    
   Berkeley LPR.   
     RFC1179,  
      :
 (   ) lpr,  lpc  lprm;
   ; 
 ;   ;  
  ;     
SUID root;    ;  
    .

      
 UNIX-       
 ,    LPR  
 RFC1179. LPRng     
 SVR4 lp  lpstat,     
 .       
      
 .

 ,    / 
 , LPRng  Kerberos V, MIT Kerberos IV Print
Support   PGP. LPRng     MIT 
        .
       
.

%description -l uk
LPRng -  ,    ̦æ æԦ
  Berkeley LPR.      צצ
Ӧ  RFC1179,  ̦æ     Ц
 :  (   ) lpr, 
lpc  lprm; ͦ æ  ; 
 ;   Ħ;  ϧ
 ˦ Ҧ; ̦˦   Φ  SUID
root;    ;  Φ Φ
æ   .

  Ц    ˦ ˦Ԧ
UNIX-  ͦ      
Ҧ, Ҧ   LPR  צצ 
RFC1179. LPRng    æ   SVR4 lp 
lpstat,     Ԧ  .  
   ƦΦ  צצԦ  
  Ц   .

 ަ,  Ҧ  / Ʀ
Ц , LPRng Цդ Kerberos V, MIT Kerberos IV Print
Support  æ PGP. LPRng     MIT 
  Ԧ  Ц    Ӧ. 
Ц æ      .

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
rm -f missing
%{__gettextize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
cp -f /usr/share/automake/{config.,missing}* .
PSHOWALL="-ax"; export PSHOWALL
%configure \
	--disable-setuid \
	--with-userid=lp \
	--with-groupid=lp \
	--with-filterdir=%{_libdir}/lpfilters \
	--with-lockfile=%{_var}/spool/lpd/lpd \
	--with-done_jobs=0

%{__make}
%{__make} -C man

%install
rm -rf $RPM_BUILD_ROOT
install -d  $RPM_BUILD_ROOT{/etc/rc.d/init.d,%{_var}/spool/lpd/lp}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	POSTINSTALL="NO"
%{__make} install -C man \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/lpd
# yes, overwrite distribution lpd.conf
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/lpd.conf
echo "default_printer = lp" >>$RPM_BUILD_ROOT%{_sysconfdir}/lpd.conf
install %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/printcap
install lpd.perms $RPM_BUILD_ROOT%{_sysconfdir}
# default spool

bzip2 -dc %{SOURCE4} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
/sbin/chkconfig --add lpd
if [ -f /var/lock/subsys/lpd ]; then
	/etc/rc.d/init.d/lpd restart 1>&2
else
	echo "Run \"/etc/rc.d/init.d/lpd start\" to start LPRng lpd daemon."
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/lpd ]; then
		/etc/rc.d/init.d/lpd stop 1>&2
	fi
	/sbin/chkconfig --del lpd
fi

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc CHANGES README HOWTO/LPRng-HOWTO.html
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/lpd.conf
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/lpd.perms
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/printcap
%attr(754,root,root) /etc/rc.d/init.d/lpd
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_sbindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%dir %{_libdir}/lpfilters
%attr(755,root,root) %{_libdir}/lpfilters/*
%dir %attr(750,root,lp) %{_var}/spool/lpd
%dir %attr(770,root,lp) %{_var}/spool/lpd/lp
%{_mandir}/man[158]/*
%lang(pl) %{_mandir}/pl/man[158]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: LPRng.spec,v $
Revision 1.97  2002/11/04 13:35:07  qboosh
- updated to 3.8.15
- KILLED shutdown patch which TOTALLY BROKE printing to pipes
- cut down ac_fixes patch to only necessary things
- one copy of CHANGES in %%doc should be enough :>

Revision 1.96  2002/10/25 16:04:56  marcus
- changed default --with-done_jobs=1 to 0 to avoid conflicts
with samba printing (done_jobs holds windows printing queue)
- rel.3. STBR (for 1.0!)

Revision 1.95  2002/10/09 13:14:14  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.94  2002/07/28 08:09:51  mkochano
- Release 2.
- Removed Provides: lpr.

Revision 1.93  2002/07/10 01:09:54  kloczek
- updated to 3.8.12 (bugfixes),
- updated patches.

Revision 1.92  2002/06/20 19:58:11  qboosh
- fixed doc
- Obsoletes: cups-clients (file conflict)
- release 6

Revision 1.91  2002/06/11 10:01:15  kloczek
- release 5,
- security fix: change default policy in lpd.perms for allow local job
  submissions only (patch from RH),
- merge pr patch from RH (fix path to pr program).

Revision 1.90  2002/05/21 23:12:37  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.89  2002/05/17 12:26:24  ankry
- removed requirement for mounted /proc (& BR: procps)
- release 4, STBR (for alpha)

Revision 1.88  2002/05/15 08:16:12  kloczek
- fixed %build.

Revision 1.87  2002/05/15 07:35:45  kloczek
- merge translations from KSI and Conectiva,
- move gzipping %dc to %build (make spec --short-circuit ready).

Revision 1.86  2002/05/14 11:23:08  qboosh
- fixed build: gdbm subdir no longer exists; BR: procps; release 3

Revision 1.85  2002/04/02 13:38:09  blues
- no subshells

Revision 1.84  2002/02/22 23:28:37  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.83  2002/01/24 00:13:00  ankry
- added man-pages tar URL

Revision 1.82  2002/01/18 02:12:11  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.81  2001/12/14 03:57:05  kloczek
- release 2.

Revision 1.80  2001/12/12 21:14:04  blues
- added obsoletes rules (they have conflicts files)

Revision 1.79  2001/11/19 03:05:38  kloczek
- updated to 3.8.1.

Revision 1.78  2001/11/17 08:40:19  ankry
- added pl man pages
- release 2

Revision 1.77  2001/11/12 15:05:36  kloczek
- remove static subpackage.

Revision 1.76  2001/11/06 16:34:37  qboosh
- nproc-unlimited patch: allow RLIMIT_NPROC=RLIM_INFINITY (ulimit -p unlimited)
- limit max_servers_active in LPRng.conf
- run ldconfig in post/postun

Revision 1.75  2001/11/06 09:54:33  blues
- fixed libs

Revision 1.74  2001/11/06 00:27:12  blues
- fixed install - added printcap from previous version
- added libraries and added static subpackage
done, but not tested

Revision 1.73  2001/11/05 17:06:21  kloczek
- start uptate to 3.8.0,
- removed obsoleted patches and updated some other.
NOTE: compiles but NYF (fails on %install).

Revision 1.72  2001/10/10 17:20:01  marcus
- typo in %%install

Revision 1.71  2001/10/10 14:51:54  qboosh
- BuildRequires: automake

Revision 1.70  2001/10/10 00:24:12  marcus
- uncommented Patch1

Revision 1.69  2001/10/08 21:56:02  marcus
- ac/am temporary fix

Revision 1.68  2001/10/08 21:44:25  marcus
- new version 3.7.5

Revision 1.67  2001/07/26 05:42:02  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.64  2001/06/24 22:50:06  kloczek
- release 26.

Revision 1.63  2001/06/24 22:45:28  qboosh
- fixed setgroups patch (builds now)
- spec adapterized

Revision 1.62  2001/06/23 13:49:08  kloczek
- release 25: merge setgroups patch from rawhide.

Revision 1.61  2001/06/23 12:08:08  klakier
- added default spool "lp"

Revision 1.60  2001/05/24 00:14:05  qboosh
- removed LPRng-HOWTO.gif from %%doc (doesn't exist)

Revision 1.59  2001/04/27 20:06:50  kloczek
- release 23,
- more fixes in ac_fixes for proper install .mo files,
- merge latest rawhide patches.

Revision 1.58  2001/04/27 16:09:19  dobrek
- automake works not so good without Makefile.am

Revision 1.57  2001/04/27 16:03:38  dobrek
-Added rm mising

Revision 1.56  2001/04/27 16:00:46  dobrek
-Added automake -a -c.

Revision 1.55  2001/04/27 15:43:41  dobrek
-LPRng-direct patch shameless taken from RH added.

Revision 1.54  2001/02/04 13:47:57  kloczek
- relase 7,
- /sbin/chkconfig now is as Prereq,
- added HOWTO gif files to %doc.

Revision 1.53  2001/02/01 16:27:32  kloczek
- Requires for rc-scripts changed to Prereq.

Revision 1.52  2001/01/14 16:48:14  kloczek
- release 2.

Revision 1.51  2001/01/13 17:27:47  dobrek
-Added LPRng-inet_ntop.patch it solves problems on axp.

Revision 1.50  2000/12/30 06:08:04  kloczek
- updated to 3.7.4.

Revision 1.49  2000/12/28 01:47:38  kloczek
- updated to 3.7.3.

Revision 1.48  2000/12/21 20:20:00  kloczek
- added automake, autoconf to BuildRequires.

Revision 1.47  2000/12/21 19:47:17  kloczek
- updated to 3.7.2.

Revision 1.46  2000/11/29 07:48:33  kloczek
- updated to 3.7.1,
- removed outdated autoconf path.

Revision 1.45  2000/10/16 19:30:48  kloczek
- added ac_fixes patch: now in %install can be used DESTDIR style install
  and also works installing in proper place gettext resources,
- use new rpm automation.

Revision 1.44  2000/10/16 15:58:17  zagrodzki
- updated to 3.6.26

Revision 1.43  2000/10/06 15:48:11  baggins
- release 2
- fixed remote exploit

Revision 1.42  2000/08/21 00:17:27  kloczek
- updated to 3.6.24.

Revision 1.41  2000/08/16 16:34:03  kloczek
- updated to 3.6.22.

Revision 1.40  2000/07/31 11:59:10  mis
- do not verify size, time and md5sum of config files
- release 2

Revision 1.39  2000/07/25 05:15:40  kloczek
- updated to 3.6.22.

Revision 1.38  2000/07/21 15:08:12  kloczek
- updated to 3.6.21,
- added filter patch from rawhide.

Revision 1.37  2000/07/20 08:51:27  mis
- removed %{_*dir} redefines
- added /var/spool/lpd and /etc/printcap
- default config taken from SOURCES
- changed filters location to _libdir (libexec not in FHS 2.1)
- changed filters dir name to lpfilters
- run lpd as user and group lp
- changes lock file location to /var/spool/lpd (see p. 5.5.1 of FHS)
- release 4

Revision 1.36  2000/07/13 23:03:51  baggins
- release 3
- rebuild with ncurses 5.1

Revision 1.35  2000/07/12 20:25:12  baggins
- typo

Revision 1.34  2000/07/12 20:24:29  baggins
- locale is b0rken, disabled it

Revision 1.33  2000/07/12 18:41:25  baggins
- stupid program needs explicit --enable-nls to ./configure

Revision 1.32  2000/07/12 18:24:42  baggins
- finish update to 3.6.18
- cleanup in %%doc

Revision 1.30  2000/07/11 20:16:19  zagrodzki
- updated to 3.6.18

Revision 1.29  2000/06/09 07:54:38  kloczek
- more %%{__make} macros.

Revision 1.28  2000/06/09 07:22:45  kloczek
- added using %%{__make} macro.

Revision 1.27  2000/05/17 00:36:12  kloczek
- spec adapterized.

Revision 1.26  2000/04/14 16:49:32  kloczek
- release 4.

Revision 1.25  2000/04/13 08:01:35  zagrodzki
- corrected %pre/post scripts

Revision 1.24  2000/04/12 22:55:05  kloczek
- release 3,
- new init scrip rc-scripts >= 0.2.0 compliant.

Revision 1.23  2000/04/01 11:14:21  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.22  2000/03/28 16:54:13  baggins
- translated kloczkish into english

Revision 1.21  2000/03/02 20:19:24  kloczek
- release 2,
- fixed message in %post and standarized %post, %preun.

Revision 1.20  2000/03/02 17:36:50  kloczek
- updated to 3.6.13,
- spec adapterized,
- more rpm macros.

Revision 1.19  1999/11/25 06:03:45  kloczek
- updated to 3.6.12,
- added Buildrequires rules,
- build against ncurses 5.0.

Revision 1.18  1999/09/11 13:51:26  misiek
- fixed requires (PR#43)

Revision 1.17  1999/08/30 05:05:51  kloczek
- updated to 3.6.8,
- removed install patch,
- added --disable-setuid and --without-included-gettext to ./cinfigure
  parameters,
- added missing filters (in %%{_libexecdir}/filters).

Revision 1.16  1999/07/12 23:06:06  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sat Jul 10 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [3.6.2-1]
- added more standard autoconf suit (LPRng-autoconf.patch),
- removed unused Source1 (LPRng-DOC*tgz),
- added including in pacckage .mo files (%%find_lang),
- added using %config macro in %build
- standarized %post, %preun.

* Tue Feb  9 1999 Micha Kuratczyk <kurkens@polbox.com>
  [3.5.3-2]
- added pl translations
- added Group(pl)
- added gzipping man pages and documentation

* Tue Dec  1 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [3.5.3-1]
- added -q %setup parameter,
- added gzipping man pages,
- changed Buildroot to /tmp/%%{name}-%%{version}-root,
- removed INSTALL and COPYING from %doc,
- added using %%{name} and %%{version} in Source,
- added %attr and %defattr macros in %files (allow build package from
  non-root account).

* Thu Jan 29 1998 Jan "Yenya" Kasprzak <kas@fi.muni.cz
- Upgraded to 3.4.2
- Merged LPRng and LPRng-lpd packages - if you don't need lpd, chkconfig it off.
- Changed /etc/rc.d/init.d/lpd script to be chkconfig-compatible for RH5.0

* Thu Jun 5 1997 Timo Karjalainen <timok@iki.fi>
- Upgraded to version 3.2.6

* Sat May 31 1997 Timo Karjalainen <timok@iki.fi>
- Upgraded to version 3.2.5
- Some minor changes to specfile
